External Events

An ExternalEvent is a log that is sent to the cloud from a client application such as the Files.com CLI.

List External Events

Endpoint

GET/external_events

Return Object

ExternalEvent[]

Authorization Requirement

Requires either a Site-Wide API key or User API key or session from a User with Site Admin permissions.

Additional Arguments

Example Request

curl https://app.files.com/api/rest/v1/external_events.json \
  -H 'X-FilesAPI-Key: YOUR_API_KEY'

Example Response

[
  {
    "id": 1,
    "event_type": "example",
    "status": "example",
    "body": "example",
    "created_at": "2000-01-01T01:00:00Z",
    "body_url": "example"
  }
]

Show External Event

Endpoint

GET/external_events/{id}

Return Object

ExternalEvent

Authorization Requirement

Requires either a Site-Wide API key or User API key or session from a User with Site Admin permissions.

Request Parameters

ParameterDescription
id
int64
Required
External Event ID.

Example Request

curl https://app.files.com/api/rest/v1/external_events/{id}.json \
  -H 'X-FilesAPI-Key: YOUR_API_KEY'

Example Response

{
  "id": 1,
  "event_type": "example",
  "status": "example",
  "body": "example",
  "created_at": "2000-01-01T01:00:00Z",
  "body_url": "example"
}

Create External Event

Endpoint

POST/external_events

Return Object

ExternalEvent

Authorization Requirement

Available to all authenticated keys or sessions.

Request Parameters

ParameterDescription
status
string
Required
Status of event.
Possible values: success, failure, partial_failure, in_progress, skipped
body
string
Required
Event body

Example Request

curl https://app.files.com/api/rest/v1/external_events.json \
  -X POST \
  -H 'Content-Type: application/json' \
  -d '{"status":"example","body":"example"}' \
  -H 'X-FilesAPI-Key: YOUR_API_KEY'

Example Response

{
  "id": 1,
  "event_type": "example",
  "status": "example",
  "body": "example",
  "created_at": "2000-01-01T01:00:00Z",
  "body_url": "example"
}

The ExternalEvent Object

Some of the endpoints above return a ExternalEvent object. The attributes of this object are listed below.

AttributeDescription
id
int64
Event ID
event_type
string
Type of event being recorded.
Possible values: ldap_sync, remote_server_sync, lockout, ldap_login, saml_login, client_log, pending_work, siem_http_destination
status
string
Status of event.
Possible values: success, failure, partial_failure, in_progress, skipped
body
string
Event body
created_at
date-time
External event create date/time
body_url
string
Link to log file.

Example ExternalEvent Object

{
  "id": 1,
  "event_type": "example",
  "status": "example",
  "body": "example",
  "created_at": "2000-01-01T01:00:00Z",
  "body_url": "example"
}